Method: projects.locations.networkMonitoringProviders.generateProviderAccessToken

Generates a provider access token for a given Google access token. Provider access token is a short-lived token that is used to access resources in the provider's platform.

HTTP request

GET https://networkmanagement.googleapis.com/v1alpha1/{name=projects/*/locations/*/networkMonitoringProviders/*}:generateProviderAccessToken

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. Name of the provider (Use 'external' unless you've modified the provider name during onboarding). Format: projects/{project}/locations/{location}/networkMonitoringProviders/{networkMonitoringProvider}

Authorization requires the following IAM permission on the specified resource name:

  • networkmanagement.providers.generateAccessToken

Query parameters

Parameters
gcpAccessToken

string

Required. Google access token.

Request body

The request body must be empty.

Response body

Message for response for generating an access token for a NetworkMonitoringProvider resource.

If successful, the response body contains data with the following structure:

JSON representation
{
  "providerAccessToken": string
}
Fields
providerAccessToken

string

Provider access token for the NetworkMonitoringProvider resource.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.